%global _description A fast, pure Python library for parsing and serializing ASN.1 structures.
%global _summary A Python library for parsing and serializing ASN.1 structures
%global _name asn1crypto

Name:      python-%{_name}
Version:   0.24.0
Release:   8
Summary:   %{_summary}
License:   MIT
URL:       https://github.com/wbond/asn1crypto
Source0:   https://files.pythonhosted.org/packages/source/a/%{_name}/%{_name}-%{version}.tar.gz

BuildArch: noarch

%description
%{_description}

%package -n python2-%{_name}
Summary:    %{_summary}
BuildRequires:  python2-devel python2-setuptools
%{?python_provide:%python_provide python2-%{_name}}

%description -n python2-%{_name}
%{_description}

%package -n python3-%{_name}
Summary:    %{_summary}
BuildRequires:  python3-devel python3-setuptools
%{?python_provide:%python_provide python3-%{_name}}

%description -n python3-%{_name}
%{_description}

%package_help

%prep
%autosetup -n %{_name}-%{version} -p1
rm -rf %{_name}.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python2-%{_name}
%license LICENSE
%{python2_sitelib}/%{_name}/*
%{python2_sitelib}/%{_name}-*info

%files -n python3-%{_name}
%license LICENSE
%{python3_sitelib}/%{_name}/*
%{python3_sitelib}/%{_name}-*info

%files help
%doc readme.md changelog.md

%changelog
* Sat Sep 21 2019 shenyangyang<shenyangyang4@huawei.com> - 0.24.0-8
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:revise description

* Mon Aug 26 2019 shenyangyang<shenyangyang4@huawei.com> - 0.24.0-7
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:strenthen spec

* Thu Mar 13 2019 wanghongzhe<wanghongzhe@huawei.com> - 0.24.0-6
- Type:enhancement
- ID:NA
- SUG:restart
- DESC:solve the mirror-yum installation dependency

* Wed Jul 18 2018 openEuler Buildteam <buildteam@openeuler.org> - 0.24.0-5
- Package init
